Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.SysQueriesRowOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SysQueriesRow`, `ClientWireProtocol.SysQueriesRow.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SysQueriesRowOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDatabase()` `string database = 9;`
`com.google.protobuf.ByteString` `getDatabaseBytes()` `string database = 9;`
`int` `getElapsedTimeSec()` `int32 elapsed_time_sec = 6;`
`int` `getEstimatedTimeSec()` `int32 estimated_time_sec = 3;`
`float` `getImportance()` `float importance = 2;`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`String` `getQueryServer()` `string query_server = 8;`
`com.google.protobuf.ByteString` `getQueryServerBytes()` `string query_server = 8;`
`String` `getSqlText()` `string sql_text = 5;`
`com.google.protobuf.ByteString` `getSqlTextBytes()` `string sql_text = 5;`
`String` `getStatus()` `string status = 7;`
`com.google.protobuf.ByteString` `getStatusBytes()` `string status = 7;`
`String` `getUserid()` `string userid = 4;`
`com.google.protobuf.ByteString` `getUseridBytes()` `string userid = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getQueryId

    String getQueryId()

`string query_id = 1;`

Returns:
  The queryId.

#### getQueryIdBytes

    com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Returns:
  The bytes for queryId.

#### getImportance

    float getImportance()

`float importance = 2;`

Returns:
  The importance.

#### getEstimatedTimeSec

    int getEstimatedTimeSec()

`int32 estimated_time_sec = 3;`

Returns:
  The estimatedTimeSec.

#### getUserid

    String getUserid()

`string userid = 4;`

Returns:
  The userid.

#### getUseridBytes

    com.google.protobuf.ByteString getUseridBytes()

`string userid = 4;`

Returns:
  The bytes for userid.

#### getSqlText

    String getSqlText()

`string sql_text = 5;`

Returns:
  The sqlText.

#### getSqlTextBytes

    com.google.protobuf.ByteString getSqlTextBytes()

`string sql_text = 5;`

Returns:
  The bytes for sqlText.

#### getElapsedTimeSec

    int getElapsedTimeSec()

`int32 elapsed_time_sec = 6;`

Returns:
  The elapsedTimeSec.

#### getStatus

    String getStatus()

`string status = 7;`

Returns:
  The status.

#### getStatusBytes

    com.google.protobuf.ByteString getStatusBytes()

`string status = 7;`

Returns:
  The bytes for status.

#### getQueryServer

    String getQueryServer()

`string query_server = 8;`

Returns:
  The queryServer.

#### getQueryServerBytes

    com.google.protobuf.ByteString getQueryServerBytes()

`string query_server = 8;`

Returns:
  The bytes for queryServer.

#### getDatabase

    String getDatabase()

`string database = 9;`

Returns:
  The database.

#### getDatabaseBytes

    com.google.protobuf.ByteString getDatabaseBytes()

`string database = 9;`

Returns:
  The bytes for database.